Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ValueDefaultPropertyBundle

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.PublicObject

                        |

                        +--oracle.ifs.beans.TiePublicObject

                              |

                              +--oracle.ifs.beans.ApplicationObject

                                    |

                                    +--oracle.ifs.beans.TieApplicationObject

                                          |

                                          +--oracle.ifs.beans.PropertyBundle

                                                |

                                                +--oracle.ifs.beans.TiePropertyBundle

                                                      |

                                                      +--oracle.ifs.beans.ValueDefaultPropertyBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieValueDefaultPropertyBundle

public class ValueDefaultPropertyBundle
extends TiePropertyBundle

A ValueDefaultPropertyBundle is a PropertyBundle containing a valid definition of the value of a ValueDefault.

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, ADMINISTRATIONGROUP_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKEDFORSESSION_ATTRIBUTE, LOCKSTATE_ATTRIBUTE, LOCKSTATE_HARDLOCK, LOCKSTATE_SESSIONLOCK, LOCKSTATE_SOFTLOCK, LOCKSTATE_UNLOCK, LOCKSTATE_USERLOCK, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Method Summary
`AttributeValue` | `getPropertyValue()` Gets the value of this ValueDefaultPropertyBundle, as an AttributeValue.
`void` | `setValue(AttributeValue av)` Sets the value and data type of this ValueDefaultPropertyBundle.
`void` | `setValue(boolean value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Boolean value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(boolean[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Boolean[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.util.Date value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.util.Date[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(DirectoryObject value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(DirectoryObject[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(double value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Double value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(double[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Double[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(int value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(int[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Integer value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Integer[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(long value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Long value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(long[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Long[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(PublicObject value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(PublicObject[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(SchemaObject value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(SchemaObject[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.String value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.String[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(SystemObject value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(SystemObject[] value)` Sets the value of this ValueDefaultPropertyBundle.

Methods inherited from class oracle.ifs.beans.PropertyBundle
`getProperties, getProperties, getPropertyValue, getPropertyValueByUpperCaseName, handleEvent, putPropertyValue, putPropertyValue, removeAllPropertyValues, removePropertyValue`

Methods inherited from class oracle.ifs.beans.PublicObject
`addCategory, addRelationship, checkEffectiveAccess, checkEffectiveAccess, copy, getAcl, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getCategories, getCategories, getCreateDate, getCreator, getDefaultAccessLevel, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFlags, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLockedState, getLockState, getLockStateLabel, getOwner, getPolicyBundle, getPropertyBundle, getResolvedPublicObject, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, grantAccess, hasNameAttribute, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isVersionable, isVersioned, lock, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, removeRelationship, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setOwner, setPolicyBundle, setPropertyBundle, setSecuringPublicObject, toLockStateLabel, toLockStateLabel, toLockStateLabel, unlock`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

Method Detail

### setValue

    public final void setValue(int value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have an `INTEGER` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(java.lang.Integer value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have an `INTEGER` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(long value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `LONG` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(java.lang.Long value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `LONG` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(double value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DOUBLE` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(java.lang.Double value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DOUBLE` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(boolean value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `BOOLEAN` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(java.lang.Boolean value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `BOOLEAN` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(java.lang.String value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `STRING` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(java.util.Date value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DATE` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(SchemaObject value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `SCHEMAOBJECT` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(SystemObject value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `SYSTEMOBJECT` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(PublicObject value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `PUBLICOBJECT` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(DirectoryObject value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DIRECTORYOBJECT` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(int[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `INTEGER_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(java.lang.Integer[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have an `INTEGER_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(long[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have an `LONG_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(java.lang.Long[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `LONG_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(double[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DOUBLE_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(java.lang.Double[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DOUBLE_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(boolean[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `BOOLEAN_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(java.lang.Boolean[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `BOOLEAN_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(java.lang.String[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `STRING_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(java.util.Date[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DATE_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(SchemaObject[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `SCHEMAOBJECT_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(SystemObject[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `SYSTEMOBJECT_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(PublicObject[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `PUBLICOBJECT_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public final void setValue(DirectoryObject[] value)
                        throws IfsException

  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DIRECTORYOBJECT_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails

### getPropertyValue

    public AttributeValue getPropertyValue()
                                    throws IfsException

  Gets the value of this ValueDefaultPropertyBundle, as an AttributeValue.
  Returns:
    the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public void setValue(AttributeValue av)
                  throws IfsException

  Sets the value and data type of this ValueDefaultPropertyBundle.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD